logo
DNCRemove DNC entries
DNC

Remove DNC entries

Remove entries from the Do Not Contact list. Two modes:

  • By emails: provide an explicit list of email addresses to remove
  • Select all: set selectAll: true with optional search and type filters
curl -X DELETE "https://api.sendkit.ai/v1/dnc" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "emails": [
    "old@example.com",
    "removed@example.com"
  ]
}'
{
  "success": true,
  "data": {
    "deleted": 5
  }
}
DELETE
/v1/dnc
DELETE
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Bearer Token
Bearer Tokenstring
Required

API key as Bearer token

API key as Bearer token
Content-Typestring
Required

The media type of the request body

Options: application/json
No request body parameters defined
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

header
Authorizationstring
Required

Bearer token. API key as Bearer token

Body

application/json
datastring
Required

Raw application/json data

Responses

successboolean
dataobject